<?php

if (empty($_POST['submit'])) {
    if (isset($_GET['plid']) and isset($_GET['elid'])) {
        $plid = '/' . $_GET['plid'] . '/' . $_GET['elid'];
    } elseif (isset($_GET['elid'])) {
        $plid = '/' . $_GET['elid'];
    } else {
        $plid = '/';
    }

    echo '<div class="menu">Загрузка файла в: ' . htmlentities($plid, ENT_QUOTES, 'UTF-8') . "\n</div>";
    echo '<div class="post"><form action="?func=file.import';
    if (isset($_GET['elid'])) {
        echo '&amp;elid=' . urlencode($_GET['elid']);
    }
    if (isset($_GET['plid'])) {
        echo '&amp;plid=' . urlencode($_GET['plid']);
    }
    echo '" enctype="multipart/form-data" method="post">' . "\n";
    echo 'Ссылка на файл:<br />' . "\n";
    echo '<input name="url" type="text" /><br />' . "\n";
    echo '<input name="submit" type="submit" value="Загрузить" />' . "\n";
    echo '</form>' . "\n";
    echo '</div>' . "\n";
    echo '<div class="post"><img src="images/t-back.png" alt=".." /><a href="?func=file';
    if (isset($_GET['elid'])) {
        echo '&amp;elid=' . urlencode($_GET['elid']);
    }
    if (isset($_GET['plid'])) {
        echo '&amp;plid=' . urlencode($_GET['plid']);
    }
    echo '">Вернуться</a><br />' . "\n";
    echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
} else {
$url = htmlspecialchars($_POST['url']);
$file = file_get_contents($url);
//$text = 'sdfafa';

//file_put_contents("123.txt", $text);
    if ($ftp = ftp_connect($server) and ftp_login($ftp, $_SESSION['username'], $_SESSION['password']))
    {
        ftp_pasv($ftp, true);

        echo '<div class="post"><div style="text-align:center">' . "\n";
                if (isset($_GET['plid']) and isset($_GET['elid'])) {
                    $plid = '/' . $_GET['plid'] . '/' . $_GET['elid'];
                } elseif (isset($_GET['elid'])) {
                    $plid = '/' . $_GET['elid'];
                } else {
                    $plid = '';
                }
                if (ftp_put($ftp, $plid . '/' . $file, FTP_BINARY))
                {
                    echo 'Файл ' . htmlentities($_FILES['file']['name'][$i], ENT_QUOTES, 'UTF-8') . ' размером ' . $_FILES['file']['size'][$i] . ' байт успешно загружен.<br />' . "\n";
                } else
                {
                    echo 'Ошибка при загрузке файла ' . htmlentities($_FILES['file']['name'][$i], ENT_QUOTES, 'UTF-8') . '.<br />' . "\n";
                }
        echo '<a href="?func=file';
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        if (isset($_GET['elid'])) {
            echo '&amp;elid=' . urlencode($_GET['elid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";

        ftp_close($ftp);
    }
    else
    {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при загрузке файла!!!<br />' . "\n";
        echo '<a href="?func=file';
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        if (isset($_GET['elid'])) {
            echo '&amp;elid=' . urlencode($_GET['elid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>